Subject: bug#9312: 24.0.50; smtpmail

From: emacs user <[email-masked]>
Date: Mon, 12 Sep 2011 08:40:37 +0300

On Sat, Sep 10, 2011 at 9:43 PM, Lars Magne Ingebrigtsen <[email-masked]> wrote:
>
> smtpmail.el does the following on MAIL FROM:
>
>               ((and auth-mechanisms
>                     (not ask-for-password)
>                     (eq (car result) 530))
>                ;; We got a "530 auth required", so we close and try
>                ;; again, this time asking the user for a password.
>                (smtpmail-send-command process "QUIT")
>                (smtpmail-read-response process)
>
> So it should ask for a password if the server has announced a
> willingness to accept auth.
>
> Which it has:
>
> 250-AUTH GSSAPI NTLM LOGIN
>
> So I don't understand what's going on here.
>
> Emacs User, could you try to edebug through `smtpmail-via-smtp' and see
> what happens when you send an email?

I think the error message comes from this part of the code;
 (smtpmail-send-command
	       process (format "MAIL FROM:<%s>%s%s"
			       envelope-from size-part body-part))

here is some of the edebug output, let me know if there is something
more specific I can provide

Result: (8bitmime (auth gssapi ntlm login) enhancedstatuscodes dsn
(size \20...0))

Result: #<process smtpmail>
 [2 times]
Result: "[email-masked]"

Result: " SIZE=373"

Result: ""

Result: "MAIL FROM:<[email-masked]> SIZE=373"

error: "Process smtpmail not running"